ros-rolling-mapviz-plugins (2.5.7-1noble) noble; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 07 Jul 2025 05:00:00 -0000

ros-rolling-mapviz-plugins (2.5.6-1noble) noble; urgency=high

  * Adding libopencv as a depdendency (#849 <https://github.com/swri-robotics/mapviz/issues/849>)
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 10 Jun 2025 05:00:00 -0000

ros-rolling-mapviz-plugins (2.5.5-1noble) noble; urgency=high

  * Updating headers with new names (#848 <https://github.com/swri-robotics/mapviz/issues/848>)
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 03 Jun 2025 05:00:00 -0000

ros-rolling-mapviz-plugins (2.5.4-1noble) noble; urgency=high

  * Add Missing Qt Dependencies to Export List (#847 <https://github.com/swri-robotics/mapviz/issues/847>)
  * Contributors: DangitBen

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 03 Jun 2025 05:00:00 -0000

ros-rolling-mapviz-plugins (2.5.3-1noble) noble; urgency=high

  * Dependency cleanup (#845 <https://github.com/swri-robotics/mapviz/issues/845>)
  * Contributors: DangitBen

 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 02 Jun 2025 05:00:00 -0000

ros-rolling-mapviz-plugins (2.5.2-1noble) noble; urgency=high

  * Add missing deps and remove ROS1-exclusive one (#844 <https://github.com/swri-robotics/mapviz/issues/844>)
  * Contributors: Veronica Knisley

 -- Southwest Research Institute <swri-robotics@swri.org>  Sat, 31 May 2025 05:00:00 -0000

ros-rolling-mapviz-plugins (2.5.1-1noble) noble; urgency=high

  * Fix missing trailing slash in cmake include install (#843 <https://github.com/swri-robotics/mapviz/issues/843>)
  * Contributors: DangitBen

 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 30 May 2025 05:00:00 -0000

ros-rolling-mapviz-plugins (2.5.0-1noble) noble; urgency=high

  * Correct CMake Export (#842 <https://github.com/swri-robotics/mapviz/issues/842>)
    * Removes Boost
    * Removes deprecated ament macro
    * General fixes to fix CMake exports and dependencies
    ---------
    Co-authored-by: Ben Andrew <mailto:benjamin.andrew@swri.org>
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 29 May 2025 05:00:00 -0000

ros-rolling-mapviz-plugins (2.4.9-1noble) noble; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 20 May 2025 05:00:00 -0000

ros-rolling-mapviz-plugins (2.4.8-1noble) noble; urgency=high

  * Fixing various dependencies (#839 <https://github.com/swri-robotics/mapviz/issues/839>)
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 20 May 2025 05:00:00 -0000

ros-rolling-mapviz-plugins (2.4.7-1noble) noble; urgency=high

  * [kilted] Update deprecated call to ament_target_dependencies (#838 <https://github.com/swri-robotics/mapviz/issues/838>)
    * Removing deprecated ament calls while building.
  * Contributors: David V. Lu!!

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 20 May 2025 05:00:00 -0000

ros-rolling-mapviz-plugins (2.4.6-1noble) noble; urgency=high

  * Fixed textured_marker_plugin subscriptions. Added some additional error handling to mapviz plugin loading to avoid early exits. (#836 <https://github.com/swri-robotics/mapviz/issues/836>)
    Co-authored-by: Robert Brothers <mailto:robert.j.brothers21.ctr@army.mil>
  * Contributors: Robert Brothers

 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 02 Apr 2025 05:00:00 -0000

ros-rolling-mapviz-plugins (2.4.5-1noble) noble; urgency=high

  * Fix topic lists (#833 <https://github.com/swri-robotics/mapviz/issues/833>)
    Fixed problems with topic list display.
  * Contributors: nick-alton

 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 20 Jan 2025 06:00:00 -0000

ros-rolling-mapviz-plugins (2.4.4-1noble) noble; urgency=high

  * Add service support for select topic ui (#832 <https://github.com/swri-robotics/mapviz/issues/832>)
  * Contributors: nick-alton

 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 09 Dec 2024 06:00:00 -0000

ros-rolling-mapviz-plugins (2.4.3-1noble) noble; urgency=high

  * update plugin subscribers to use all of qos (#827 <https://github.com/swri-robotics/mapviz/issues/827>)
    Co-authored-by: Ben <mailto:benjamin.andrew@swri.org>
    Co-authored-by: David Anthony <mailto:djanthony@gmail.com>
  * Added kludgy install for autogened TopicSelect header that is required if external plugin packages include topic_select.h (#825 <https://github.com/swri-robotics/mapviz/issues/825>)
  * Contributors: DangitBen, Robert Brothers

 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 18 Sep 2024 05:00:00 -0000

ros-rolling-mapviz-plugins (2.4.2-1noble) noble; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 12 Aug 2024 05:00:00 -0000

ros-rolling-mapviz-plugins (2.4.1-1noble) noble; urgency=high

  * Code cleanup (#820 <https://github.com/swri-robotics/mapviz/issues/820>)
    * Switching to plus sign for concatenation
    * Applying code changes that should have gone in previous release
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 09 Aug 2024 05:00:00 -0000

ros-rolling-mapviz-plugins (2.4.0-1noble) noble; urgency=high

  * Configurable qos (#818 <https://github.com/swri-robotics/mapviz/issues/818>)
    * Adding configurable QoS to UI
    * Changing lookup duration to reduce lag
    ---------
    Co-authored-by: Robert Brothers <mailto:33141599+rjb0026@users.noreply.github.com>
  * Improve Font Selection Error Handling (#794 <https://github.com/swri-robotics/mapviz/issues/794>)
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 09 Aug 2024 05:00:00 -0000

ros-rolling-mapviz-plugins (2.3.0-1noble) noble; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 24 Aug 2023 05:00:00 -0000

ros-rolling-mapviz-plugins (2.2.2-1noble) noble; urgency=high

  * Add ros_environment as dependency
  * Iron Compatibility (#779 <https://github.com/swri-robotics/mapviz/issues/779>)
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 07 Jun 2023 05:00:00 -0000

ros-rolling-mapviz-plugins (2.2.1-1noble) noble; urgency=high

  * Updating maintainers list (#778 <https://github.com/swri-robotics/mapviz/issues/778>)
  * Fix Plan Route plugin in ROS2 Humble (#765 <https://github.com/swri-robotics/mapviz/issues/765>)
  * Merge pull request #759 <https://github.com/swri-robotics/mapviz/issues/759> from agyoungs/fix-marker-plugin-subs
  * Check topic for type to determine which subscription callback to trigger
  * Contributors: Alex Youngs, David Anthony, P. J. Reed

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 30 May 2023 05:00:00 -0000

ros-rolling-mapviz-plugins (2.1.0-1noble) noble; urgency=high

  * Constrain the minimum line and point marker sizes to be 1 pixel wide. (#704 <https://github.com/swri-robotics/mapviz/issues/704>)
  * ROS Foxy support (#695 <https://github.com/swri-robotics/mapviz/issues/695>)
  * Update the displayed distance continuously while moving a point.
  * Use higher precision in the coordinate picker for wgs84 (#692 <https://github.com/swri-robotics/mapviz/issues/692>)
  * Clear the namespace list after hitting the clear button. (#691 <https://github.com/swri-robotics/mapviz/issues/691>)
  * Contributors: Matt Grogan, Matthew, P. J. Reed, Marc Alban

 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 22 Oct 2020 05:00:00 -0000

ros-rolling-mapviz-plugins (2.0.0-1noble) noble; urgency=high

  * Port mapviz to ROS 2 (#672 <https://github.com/swri-robotics/mapviz/issues/672>)
  * Contributors: Daniel D'Souza, Matthew Bries, Matthew Grogan, P. J. Reed, Jason Gassaway, John Reyes, Jacob Hassold, Kevin Nickels, Roger Strain

 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-rolling-mapviz-plugins (1.2.0-1noble) noble; urgency=high

  * Add text to measuring plugin (#640 <https://github.com/swri-robotics/mapviz/issues/640>)
  * Add mapviz plug-in for PoseStamped messages. (#641 <https://github.com/swri-robotics/mapviz/issues/641>)
  * Fix occupancy grid to load color scheme from configuration. (#642 <https://github.com/swri-robotics/mapviz/issues/642>)
  * Restore GL_UNPACK_ALIGNMENT to 4 to prevent corruption of Qt font rendering. (#643 <https://github.com/swri-robotics/mapviz/issues/643>)
  * Add ability to show and hide markers by namespace (#636 <https://github.com/swri-robotics/mapviz/issues/636>)
  * Fixed layout of MeasuringPlugin (#633 <https://github.com/swri-robotics/mapviz/issues/633>)
  * Fixed marker plugin to use swri_transform_util to ensure wgs84 markers work properly (#635 <https://github.com/swri-robotics/mapviz/issues/635>)
  * Contributors: Arkady Shapkin, Marc Alban, Matthew, Matthew Grogan, agyoungs

 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-rolling-mapviz-plugins (1.1.1-1noble) noble; urgency=high

  * Textured Marker Adjustments (#611 <https://github.com/swri-robotics/mapviz/issues/611>, #616 <https://github.com/swri-robotics/mapviz/issues/616>) (#625 <https://github.com/swri-robotics/mapviz/issues/625>)
  * fixed issue #623 <https://github.com/swri-robotics/mapviz/issues/623> by updating UI field to read "Draw Style:" (#624 <https://github.com/swri-robotics/mapviz/issues/624>)
  * Contributors: mattrich37

 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 17 May 2019 05:00:00 -0000

ros-rolling-mapviz-plugins (1.1.0-1noble) noble; urgency=high

  * Improve MarkerPlugin (#603 <https://github.com/swri-robotics/mapviz/issues/603>)
    * Improved performance of MarkerPlugin::handleMarker()
    * Support Text marker alpha channel
    * Don't use QColor for glColor4f
    * Use marker namespace and id as markers map key
  * [mapviz_plugins/attitude_indicator] Minor refactoring and redundant logging removed (#617 <https://github.com/swri-robotics/mapviz/issues/617>)
  * 606 sequential measuring (#607 <https://github.com/swri-robotics/mapviz/issues/607>)
    * Moved distance calculation to trigger on release of mouse. Added case to prevent distance calculation while moving map.
    * Added vertices and lines between measurement points. Left click to add point. Right click to delete. Added color selection for points and clear button to ui.
    * Added cumulative distance measurements from multiple points
    * Fixed individual and cumulative distance measurements. Changed it to only measure distance between points and not from fixed origin and first point
    * Moved distance calculation into separate function which is called when deleting a point, adding a point, or rearranging points.
  * Add image size check to textured marker plugin to prevent crashes. (#613 <https://github.com/swri-robotics/mapviz/issues/613>)
    * Add image size check to textured marker plugin to prevent crashes.
  * Fixed typo in string (#608 <https://github.com/swri-robotics/mapviz/issues/608>)
  * 605 add reset button marker (#609 <https://github.com/swri-robotics/mapviz/issues/609>)
    * Added Clear all marker buttons, added case for clear all support to markers
  * Contributors: Arkady Shapkin, Matthew, jbdaniel18

 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 20 Feb 2019 06:00:00 -0000

ros-rolling-mapviz-plugins (1.0.1-1noble) noble; urgency=high

  * Use shared tf manager in measuring_plugin (#604 <https://github.com/swri-robotics/mapviz/issues/604>)
  * Contributors: jgassaway

 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 25 Jan 2019 06:00:00 -0000

ros-rolling-mapviz-plugins (1.0.0-1noble) noble; urgency=high

  * Sharing tf_manager_ between main app and plugins (#555 <https://github.com/swri-robotics/mapviz/issues/555>)
  * Fix potential segfault in pointcloud plug-in. (#602 <https://github.com/swri-robotics/mapviz/issues/602>)
  * Add Measuring Plugin (#598 <https://github.com/swri-robotics/mapviz/issues/598>)
  * Contributors: Davide Faconti, Marc Alban, Matthew

 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 23 Jan 2019 06:00:00 -0000

ros-rolling-mapviz-plugins (0.3.0-1noble) noble; urgency=high

  * Merge all -devel branches into a single master branch
  * Don't transform laser scans twice (#544 <https://github.com/swri-robotics/mapviz/issues/544>)
  * Improving point_drawing plugins and bug fix of tf_plugin (#557 <https://github.com/swri-robotics/mapviz/issues/557>)
  * OpenGL rendering of PointClouds  (2X speedup) (#558 <https://github.com/swri-robotics/mapviz/issues/558>)
  * Occupancy grid (new plugin) (#568 <https://github.com/swri-robotics/mapviz/issues/568>)
  * Bug fix in image plugin (#563 <https://github.com/swri-robotics/mapviz/issues/563>)
  * Fix Indigo build, clean up warnings (#597 <https://github.com/swri-robotics/mapviz/issues/597>)
  * Create Coordinate Picker plugin (#593 <https://github.com/swri-robotics/mapviz/issues/593>)
  * Contributors: Davide Faconti, Ed Venator, Edward Venator, Elliot Johnson, Jerry Towler, Marc Alban, Matthew, Matthew Bries, Mikael Arguedas, Neal Seegmiller, Nicholas Alton, P. J. Reed, Vincent Rousseau

 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-rolling-mapviz-plugins (0.2.6-1noble) noble; urgency=high

  * Fix timestamp interval (#588 <https://github.com/swri-robotics/mapviz/issues/588>)
  * Update path_plugin.cpp (#586 <https://github.com/swri-robotics/mapviz/issues/586>)
  * Replace depcreated plugin macro with newer version
  * Contributors: Matthew, P. J. Reed, camjaws

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 31 Jul 2018 05:00:00 -0000

ros-rolling-mapviz-plugins (0.2.5-1noble) noble; urgency=high

  * Add clear history functionality.
  * Add support for newlines in text marker plugin (#572 <https://github.com/swri-robotics/mapviz/issues/572>)
  * New plugin to send commands to move_base
  * Glew warning fixed (#539 <https://github.com/swri-robotics/mapviz/issues/539>)
  * Added "keep image ratio" to Image plugin (#543 <https://github.com/swri-robotics/mapviz/issues/543>)
  * Remove copy and paste of Print...
  * PointCloud2 speed improvement (#531 <https://github.com/swri-robotics/mapviz/issues/531>)
  * Dead code removed (#535 <https://github.com/swri-robotics/mapviz/issues/535>)
  * Ratio added to robot_image_plugin (#530 <https://github.com/swri-robotics/mapviz/issues/530>)
  * Speed up improvement in LaserScan and PointCloud2 (#525 <https://github.com/swri-robotics/mapviz/issues/525>)
  * Re-add GPSFix plugin to kinetic-devel (#519 <https://github.com/swri-robotics/mapviz/issues/519>)
  * Add support for unpacking rgb8 in pointcloud2s
  * Use non-deprecated pluginlib macro
  * Add plug-in for drawing and publishing a polygon.
  * change the signal that triggers AlphaEdited + minor changes (#514 <https://github.com/swri-robotics/mapviz/issues/514>)
  * Added timestamp display to odometry for kinetic
  * Contributors: Davide Faconti, Marc Alban, Matthew Bries, Mikael Arguedas, P. J. Reed, jgassaway

 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 12 Apr 2018 05:00:00 -0000

ros-rolling-mapviz-plugins (0.2.4-1noble) noble; urgency=high

  * Add /wgs84 frame to point click publisher when available.
  * Transform cube and arrow markers properly
  * Contributors: Marc Alban, P. J. Reed

 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 11 Aug 2017 05:00:00 -0000

ros-rolling-mapviz-plugins (0.2.3-1noble) noble; urgency=high

  * Delete markers that have expired and remove error message. (#454 <https://github.com/evenator/mapviz/issues/454>)
  * Fix segfault in pointcloud2 plug-in when pointcloud is empty. (#450 <https://github.com/evenator/mapviz/issues/450>)
  * Initialize buffer size variable. (#447 <https://github.com/evenator/mapviz/issues/447>)
  * Contributors: Marc Alban

 -- Southwest Research Institute <swri-robotics@swri.org>  Sat, 10 Dec 2016 06:00:00 -0000

ros-rolling-mapviz-plugins (0.2.2-1noble) noble; urgency=high

  * Migrated OpenCV to 3.1 (default in Kinetic)
  * General code cleanup of mapviz_plugins
    This doesn't change any functionality; it's just cleaning up code.  Notably, this will:
    - Fix all warnings (notably lots of ones about type casting)
    - Move all .ui files to their own directory
    - Remove unused variables
    - Remove commented-out code
    - Make spacing and indentation consistent
    - Make brace style consistent
  * Contributors: Brian Holt, Marc Alban, P. J. Reed

 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-rolling-mapviz-plugins (0.2.1-1noble) noble; urgency=high

  * Add a GUI for controlling the Image Transport (#432 <https://github.com/swri-robotics/mapviz/issues/432>)
    This will add a sub-menu under the "View" menu that will:
    - List all available image transports
    - Indicate which one is currently the default
    - Allow the user to choose which one will be used for new ImageTransport subscriptions
    - Save and restore this setting to Mapviz's config file
    - Cause any image plugins using the default transport to resubscribe
    In addition, the image plugin now has a menu that can be used to change the
    transport for that specific plugin so that it is different from the default.
    Fixes #430 <https://github.com/swri-robotics/mapviz/issues/430>
    Conflicts:
    mapviz/package.xml
  * Fix icon colors for point drawing plugins (#433 <https://github.com/swri-robotics/mapviz/issues/433>)
    This was probably broken back when all of these were refactored to have a
    single base class.  It looks like the member variable that holds the color
    used to draw the icon was never actually being updated.
    Fixes #426 <https://github.com/swri-robotics/mapviz/issues/426>
  * Add option to not scale arrows with zoom level
    This adds a checkbox to all of the plugins that can draw a series of
    coordinates as arrows; i. e., the NavSatFix, Odometry, and TF Frame
    plugins.  This checkbox will control whether the arrows are drawn at a fixed
    size regardless of zoom level or whether they are scaled with the zoom level.
    Resolves #414 <https://github.com/swri-robotics/mapviz/issues/414>
  * Fix signed comparison warnings in mapviz_plugins
  * Adding a way for plugin config widgets to resize
    - Adding an event plugins can emit to indicate their geometry has changed
    - Modifying the PCL2 plugin to use it as an example
    Fixes #393 <https://github.com/swri-robotics/mapviz/issues/393>
  * Adding default values for uninitialized variables
    Resolves #372 <https://github.com/swri-robotics/mapviz/issues/372>
  * Creates and implements an abstract class for drawing point paths
    Updates gps,navsat,odometry,path, and tf_frame plugins to use the
    abstract point drawing class. Also adds the draw laps functionality
    which will change the color of the path as it passes a base point for
    ease of visibility, currently implemented on gps and odometry plugins.
    Conflicts:
    mapviz_plugins/CMakeLists.txt
    mapviz_plugins/include/mapviz_plugins/gps_plugin.h
    mapviz_plugins/src/gps_config.ui
    mapviz_plugins/src/gps_plugin.cpp
  * Ensuring that Mapviz won't subscribe to empty topic names (#379 <https://github.com/swri-robotics/mapviz/issues/379>)
    Clean up and made more consistent the code for handling subscriptions for all topics.
    The behavior is now:
    - All input is trimmed before processing
    - If a topic name is empty, the old subscriber will be shut down and will not subscribe to the empty topic
    Resolves #327 <https://github.com/swri-robotics/mapviz/issues/327>
  * Fixing some typos in documentation.
  * Implementing support for the ARROW marker type
    Resolves #365 <https://github.com/swri-robotics/mapviz/issues/365>
  * Contributors: Ed Venator, Marc Alban, P. J. Reed

 -- Southwest Research Institute <swri-robotics@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-rolling-mapviz-plugins (0.2.0-1noble) noble; urgency=high

  * Update Qt to version 5
  * Fixing a crash in the PointCloud2 plugin
    Also sneaking in a few more changes:
    - Caching transformed clouds to improve performance
    - Properly saving the value of the "Color Transformer" combo box
  * Returning "false" if no other code handles the mouse event
    Fixes #360 <https://github.com/swri-robotics/mapviz/issues/360>
  * Contributors: Ed Venator, P. J. Reed

 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 23 Jun 2016 05:00:00 -0000

ros-rolling-mapviz-plugins (0.1.3-1noble) noble; urgency=high

  * Implement mapviz plug-in for calling the marti_nav_msgs::PlanRoute service.
  * Migrate route plugin to use swri_route_util
    This change migrates the mapviz route plugin to use swri_route_util to
    get consistent behavior with route transforms and route position
    interpolation.  As part of this change, the route is now transformed
    with each draw so that it will correctly move around if the transform
    between the fixed frame and the route frame is not constant.
  * Add support for mono8 textured markers.
  * Implement service for adding and modifying mapviz displays.
  * Adding attitude indicator plugin.
  * Changing some "unsigned long"s to "size_t"s.
  * Storing source frames individually for plugins w/ buffers
  * Fix for #265 <https://github.com/swri-robotics/mapviz/issues/265>; message source frames don't update
    Several plugins were storing the source frames of messages received when
    they first received a message but never updating them, so subsequent
    messages in different frames would be rendered incorrectly.
  * Fix for #339 <https://github.com/swri-robotics/mapviz/issues/339>; explicitly depending on OpenCV 2
  * Fix route position search
    The route position search would ignore a matching point unless it is
    already transformed, which means that only points that have already been
    searched and missed would be transformed.
    The new logic looks first for the match, then transforms as necessary.
    Unmatched points are ignored.
  * Guard against repeated transforms
    A point should only be transformed once, because the mapviz transforms
    are set outside the plugins; TransformPoint will now only transform
    un-transformed points.
  * Remove unused variable
    prev_position_ is set, but never actually used.
  * Adds route plugin with routeposition marker attachment.
  * Also updating the disparity plugin
  * Fixing #317 <https://github.com/swri-robotics/mapviz/issues/317>
    First, the model view matrix needs to be saved and restored around
    QPainter operations because Qt clears several GL variables.  Also, the
    image plugin needed to explicitly call glMatrixMode(GL_PROJECTION);
    it does a few operations on the projection matrix and was just assuming
    that was the current matrix mode.  Also, I added a function that plugins
    need to override if they want to do QPainter operations; this will
    eliminate unnecessary overhead for plugins that do not.
  * Declaring types for Qt signal/slot use properly
  * Fixing some typos
  * Doing GL drawing on the main thread for #313 <https://github.com/swri-robotics/mapviz/issues/313>
  * GPS plugin snuck back into CMakeLists.txt
  * A plugin for displaying std_msgs/Strings
  * Marker plugin will use a QPainter to draw text
    I modified the Marker plugin so that it will use a QPainter to draw
    text labels rather than OpenGL commands.  This doesn't really add any
    functional benefit; it's meant to serve as an example of how to use
    the QPainter.
  * Fixing warnings and cleaning up formatting
  * updated mapviz_plugins.xml
  * add pointcloud2 plugin
  * Update map canvas at a fixed rate.
    This update adds a timer to the map canvas to repaint at a fixed rate.
    The default rate is 50 Hz, but there is a method to change it (not
    exposed to the UI at the moment).  50Hz was chosen because it is fast
    enough to give smooth animations and we almost always are running
    mapviz with at least one plugin triggering updates from a 50Hz topic.
  * Making the Image plugin use image_transport.
    The image_transport package provides support for transparently
    subscribing and publishing to topics using low-bandwidth compressed
    formats; if the publisher supports it, this will cause the Image
    plugin to consume far less bandwidth than before.
  * Handle cases where marker topic changes message types.
    This commit makes a better effort to properly support cases where a
    marker topic changes between Marker and MarkerArray during runtime.
  * Use ROS' shapeshifter to handle marker/marker arrays.
  * This commit adds a class called SelectFrameDialog that plugins can use
    to present the user with a dialog to choose a TF frame. The dialog
    sorts the frames by name and provides an edit box that the user can
    use to filter the frames to a specific substring.
  * Indigo compatibility.
    Fixing swri_transform_util and swri_yaml_util API changes from
    Hydro to Indigo.
  * Also filtering out clicks that are held for too long.
  * Adding a check to prevent the click event from firing if the user is dragging the mouse.
  * Fixing an issue that could cause the click publisher plugin's publisher to not be initialized after it's first added.
  * Removing some code I had added for debugging.
  * Adding a plugin that, when a user clicks on a point, will publish that point's coordinates to a topic.
  * Adding color button widget and updating plugins.
    This commit adds a subclass of QPushButton called ColorButton that
    implements a widget for displaying and selecting colors.  We've been
    doing this manually everywhere with duplicated code.  This is a simple
    abstraction but allows us to elminate a lot of duplication, especially
    in plugins that have multiple color selections.
  * Adds SelectTopicDialog to mapviz.
    This commit adds the SelectTopicDialog that can be used in plugins to
    provide the user with a dialog to select topics.  Typically we have
    done this with a lot of duplicated code across all the plugins.  This
    commit also updates the plugins in mapviz_plugins to use the new
    dialog.
    The new dialog provides several benefits:
    - Reduced code duplication
    - Simplifies writing new plugins
    - Common behavior between all plugins
    - Topics sorted by name
    - User can filter topics by substring
    - Continuously checks the master for new topics while the dialog is open.
  * Contributors: Elliot Johnson, Jerry Towler, Marc Alban, Nicholas Alton, P. J. Reed

 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 20 May 2016 05:00:00 -0000

ros-rolling-mapviz-plugins (0.1.2-1noble) noble; urgency=high

  * Enables the possibility to load a one-layer tile set
  * Sorts topic, plug-in, and frame lists in selection dialogs.
  * Fixes tf plug-in update.
  * Contributors: Marc Alban, Vincent Rousseau

 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 06 Jan 2016 06:00:00 -0000

ros-rolling-mapviz-plugins (0.1.1-1noble) noble; urgency=high

  * Extensions for geo files (PR #262 <https://github.com/swri-robotics/mapviz/issues/262>)
  * Adds a plugin to visualize laser scans.
    Display features are based on the laserscan plugin for rviz:
    * Points can be colored by range, or x/y/z axis
    * Points can be colored by interpolation between two colors or rainbow coloring
  * Adds a plugin to visualize sensor_msgs/NavSatFix msgs, based on the old GPSFix plugin
  * Contributors: Claudio Bandera, Ed Venator, Vincent Rousseau

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 17 Nov 2015 06:00:00 -0000

ros-rolling-mapviz-plugins (0.1.0-1noble) noble; urgency=high

  * Removes gps plugin, since gps_common is not in ROS Jade. See issue
    #238 <https://github.com/swri-robotics/mapviz/issues/238>.
  * Contributors: Edward Venator

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 29 Sep 2015 05:00:00 -0000

ros-rolling-mapviz-plugins (0.0.3-1noble) noble; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 28 Sep 2015 05:00:00 -0000

ros-rolling-mapviz-plugins (0.0.2-1noble) noble; urgency=high

  * Adds missing qt4_opengl dependency

 -- Southwest Research Institute <swri-robotics@swri.org>  Sun, 27 Sep 2015 05:00:00 -0000

ros-rolling-mapviz-plugins (0.0.1-1noble) noble; urgency=high

  * Renames all marti_common packages that were renamed.
    (See http://github.com/swri-robotics/marti_common/issues/231)
  * Fixes catkin_lint problems that could prevent installation.
  * Exports the mapviz_plugins library
  * Adds find_package(OpenCV REQUIRED) to cmake config
  * adds icon to gps plug-in
  * includes yaml_util header in mapviz plug-in base class
  * adds gps_common dependency
  * Sets the point orientation properly based on the GPSFix track.
  * Converts incoming GPSFix points to the local XY frame as they arrive.
  * Changes the GPS plugin to always transform from the local XY frame.
  * Adds a plugin to display GPSFix data.
  * Fixes a few instances where "multires" was typoed as "mutlires".
  * updates cmake version to squash the CMP0003 warning
  * removes dependencies on build_tools
  * switches format 2 package definition
  * Updates marker_plugin to correctly handle marker orientation.
  * adds color selection for path visualization
  * display preview icon next to plug-in names
  * sets the z component of path points to 0 before transforming to avoid uninitialized values
  * fixes missing organization in license text
  * fixes for GLEW/GL include order
  * catkinize mapviz
  * changes license to BSD
  * adds license and readme files
  * Contributors: Edward Venator, Elliot Johnson, Marc Alban, P. J. Reed

 -- Southwest Research Institute <swri-robotics@swri.org>  Sun, 27 Sep 2015 05:00:00 -0000


